* {
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
}

:root {
    --text-color: rgb(39, 39, 39);
    --radius: 0.25em;
    --main-bg: rgb(220, 220, 220);
    --card-bg: rgb(240, 240, 240);
    --card-padding: 1rem;
    --max-w: 80ch;
}

body.dark {
    --text-color: rgb(217, 217, 217);
    --main-bg: rgb(27, 27, 27);
    --card-bg: rgb(36, 36, 36);
}

body {
    margin: 0;
    width: 100%;
    min-height: 100vh;
    box-sizing: border-box;
    font-family: "Raleway", 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: var(--main-bg);
    /* background-image: url("/Assets/HDR_L_0.png");
    background-size: 3cm; */
    overflow-x: hidden;
    color: var(--text-color);
}

main {
    padding-block: 5rem;
    padding-inline: 1rem;
}

/* h1 {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
} */

nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: var(--main-bg);
    backdrop-filter: blur(7px);
    z-index: 20;
    border-bottom: 1px solid rgb(39, 39, 39);

}

nav>div {
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    gap: 1rem;
    /* max-width: 80ch;
    margin: 0 auto; */
}

nav>div>span {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
}

a {
    --color: blue;
    display: inline-block;
    color: var(--color);
    text-decoration: none;
    position: relative;
}

.dark a {
    --color: #289aff;
}

nav a, .dark nav a {
    --color: var(--text-color);
}

a:after {
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: var(--color);
    content: "";
    bottom: 0;
    left: 0;
    transform: scaleX(0);
    transition: transform .25s;
}

a:hover:after {
    transform: scaleX(1);
}

nav .active-link {
    cursor: pointer;
    text-decoration: underline;
}

nav .active-link:after {
    content: none;
}

@media screen and (max-width: 250px) {
    nav .active-link {
        display: none;
    }
}

#theme {
    display: grid;
    padding: 0;
    place-items: center;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    width: 2rem;
    height: 2rem;
    cursor: pointer;
    background-color: var(--card-bg);
    border-radius: 100%;
    position: fixed;
    bottom: 1rem;
    right: 1rem;
    z-index: 20;
    border: 1px solid var(--text-color);
}

.theme-icon {
    transition: scale .3s;
    transition-timing-function: cubic-bezier(.22, -0.59, .54, 1.59);
    grid-column: 1;
    grid-row: 1;
    width: 1.5rem;
}